> I am getting the following error while to execute the
> rubyscript2exe: have the following on my system:
>
>  1)ruby
>  2)gem installed rubyscript2exe
>
> Have i missed out on anything else?

Yep. You missed a couple of threads where this issue has been
discussed before... :}

This one, for example:
 https://groups.google.com/group/ruby-talk-google/browse_frm/thread/f922ec9ef52af7e4?tvc=1

gegroet,
Erik V. - http://www.erikveen.dds.nl/